# TVFLabs's Custom Side Deck
This mod lets you change the side deck to something other than squirrels, and allows changing the number of cards in the side deck, having more than one type of card in the side deck, and having cards be selected when starting the run.

### How to Use (in JSON Loader):
- **Basic Side Deck:**
```
"extensionProperties": {
  "CSDIsSideDeck": "true",
  "CSDSideDeckType": "Basic"
}
```
Basic side decks work like most side decks: they have 10 copies of one type of card.

- **Set Count Side Deck:**
```
"extensionProperties": {
  "CSDIsSideDeck": "true",
  "CSDSideDeckType": "SetCount",
  "CSDNumCards": "3"
}
```
Set Count side decks are like Basic ones, except that you can set the number of cards in the deck using the `CSDNumCards` extension property.

- **Configurable Side Deck:**
```
"extensionProperties": {
  "CSDIsSideDeck": "true",
  "CSDSideDeckType": "Configurable",
  "CSDNumCards": "10",
  "CSDNumOptions": "4",
  "CSDOption1": "Squirrel",
  "CSDOption2": "Bee",
  "CSDOption3": "Rabbit",
  "CSDOption4": "Geck"
}
```
Configurable side decks allow the player to choose which cards to put in the side deck before they start the run. Clicking on a card in the Configure Side Deck screen cycles through the options. There are `CSDNumCards` cards in the deck, each of which can be any of the `CSDOption`s. Make sure that the number of `CSDOption` properties is the same as the value of `CSDNumOptions`, or it won't work.

- **Advanced Side Deck:**
```
"extensionProperties": {
  "CSDIsSideDeck": "true",
  "CSDSideDeckType": "Advanced",
  "CSDNumCards": "5",
  "CSDCard1": "Squirrel",
  "CSDCard2": "Bee",
  "CSDCard3": "Rabbit",
  "CSDCard4": "self",
  "CSDCard5": "conf",
  "CSDNumOptions": "2",
  "CSDOption1": "Cat",
  "CSDOption2": "Goat"
}
```
Advanced side decks can do everything that the other types of side decks can, and they also allow setting a specific amount of each type of card. In any of the `CSDCard` properties, you can enter the name of a card directly, or, alternatively, you can enter `self` or `conf`. `CSDCard`s set to `self` will be the card the extension properties are on, while `CSDCard`s set to `conf` will act like the cards in a Configurable side deck. Make sure that the number of `CSDCard` properties is the same as the value of `CSDNumCards`, and that the number of `CSDOption` properties is the same as the value of `CSDNumOptions` or it won't work.

### Changelog
- 1.0.0: 
	- Uploaded to Thunderstore.
- 1.1.0:
	- Can now be installed alongside Side Deck Selector
	- Now detects Side Deck Selector side decks and adds them to the list of available side decks
	- Added border to selected side deck
- 1.2.0:
	- Now *actually* works with Side Deck Selector
	- Fixed softlock when loading a run
	- Squirrels are now the initial side deck